build: Drop support for old versions of libdc1394